Bug 893859 - [abrt] java-1.7.0-openjdk-1.7.0.9-2.3.3.fc18.1: handle_error: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/java was killed by signal 5 (SIGTRAP)
[abrt] java-1.7.0-openjdk-1.7.0.9-2.3.3.fc18.1: handle_error: Process /usr/li...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:8a35e0ec6b57f71973ad39c09b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 22:54 EST by Bijju
Modified: 2013-02-19 05:47 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 05:47:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (191.03 KB, text/plain)
2013-01-09 22:54 EST, Bijju
no flags Details
File: build_ids (5.29 KB, text/plain)
2013-01-09 22:54 EST, Bijju
no flags Details
File: cgroup (128 bytes, text/plain)
2013-01-09 22:54 EST, Bijju
no flags Details
File: dso_list (28.87 KB, text/plain)
2013-01-09 22:54 EST, Bijju
no flags Details
File: environ (1.37 KB, text/plain)
2013-01-09 22:54 EST, Bijju
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-09 22:54 EST, Bijju
no flags Details
File: maps (90.05 KB, text/plain)
2013-01-09 22:54 EST, Bijju
no flags Details
File: open_fds (1.54 KB, text/plain)
2013-01-09 22:55 EST, Bijju
no flags Details
File: proc_pid_status (912 bytes, text/plain)
2013-01-09 22:55 EST, Bijju
no flags Details
File: var_log_messages (2.05 KB, text/plain)
2013-01-09 22:55 EST, Bijju
no flags Details

  None (edit)
Description Bijju 2013-01-09 22:54:41 EST
Description of problem:
setup tomcat
enable tomcat servive 
rebooted machine
started eclipse 
crash

Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.9-2.3.3.fc18.1

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20121126-1152.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.2.1.v20121126-1152/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20121126-1152/eclipse_1503.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20121126-1152.jar --launcher.overrideVmargs -exitdata 41800b -preventMasterEclipseLaunch -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20121126-1152.jar
core_backtrace: 
crash_function: handle_error
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/jre/bin/java
kernel:         3.6.11-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:212
 #5 handle_response at xcb_io.c:324
 #8 _cairo_xlib_shm_surface_flush at cairo-xlib-surface-shm.c:640
 #9 *INT_cairo_surface_flush at cairo-surface.c:1494
 #10 INT_cairo_surface_flush at cairo-surface.c:1484
 #11 _cairo_xlib_surface_discard_shm at cairo-xlib-surface.c:369
 #12 _cairo_xlib_surface_finish at cairo-xlib-surface.c:401
 #13 _cairo_surface_finish at cairo-surface.c:1007
 #14 *INT_cairo_surface_destroy at cairo-surface.c:945
 #15 INT_cairo_surface_destroy at cairo-surface.c:924
Comment 1 Bijju 2013-01-09 22:54:47 EST
Created attachment 676003 [details]
File: backtrace
Comment 2 Bijju 2013-01-09 22:54:49 EST
Created attachment 676004 [details]
File: build_ids
Comment 3 Bijju 2013-01-09 22:54:51 EST
Created attachment 676005 [details]
File: cgroup
Comment 4 Bijju 2013-01-09 22:54:53 EST
Created attachment 676006 [details]
File: dso_list
Comment 5 Bijju 2013-01-09 22:54:55 EST
Created attachment 676007 [details]
File: environ
Comment 6 Bijju 2013-01-09 22:54:56 EST
Created attachment 676008 [details]
File: limits
Comment 7 Bijju 2013-01-09 22:54:58 EST
Created attachment 676009 [details]
File: maps
Comment 8 Bijju 2013-01-09 22:55:00 EST
Created attachment 676010 [details]
File: open_fds
Comment 9 Bijju 2013-01-09 22:55:01 EST
Created attachment 676011 [details]
File: proc_pid_status
Comment 10 Bijju 2013-01-09 22:55:03 EST
Created attachment 676012 [details]
File: var_log_messages
Comment 11 Deepak Bhole 2013-01-10 10:03:16 EST
Error originated from SWT -- reassigning.
Comment 12 Alexander Kurtakov 2013-01-21 10:22:50 EST
Can you try whether https://admin.fedoraproject.org/updates/cairo-1.12.10-1.fc18 fixes the problem for you? We are exposing cairo bug here and looking at http://www.cairographics.org/news/cairo-1.12.10/ there are a number of xlib/shm fixes.
Comment 13 Alexander Kurtakov 2013-02-19 05:47:15 EST
No reply from reporter for a month. Closing. Please reopen if/when you test and reproduce it with all updates applied.

Note You need to log in before you can comment on or make changes to this bug.